public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-visualization/gnuplot/
Date: Mon,  7 Mar 2016 16:11:18 +0000 (UTC)	[thread overview]
Message-ID: <1457367068.ce9db67160a1de82244c6dc078b90320672491a7.ottxor@gentoo> (raw)

commit:     ce9db67160a1de82244c6dc078b90320672491a7
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  7 16:11:08 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Mon Mar  7 16:11:08 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce9db671

sci-visualization/gnuplot: version bump (bug #576710)

Package-Manager: portage-2.2.26

 sci-visualization/gnuplot/Manifest             |   1 +
 sci-visualization/gnuplot/gnuplot-5.0.3.ebuild | 209 +++++++++++++++++++++++++
 2 files changed, 210 insertions(+)

diff --git a/sci-visualization/gnuplot/Manifest b/sci-visualization/gnuplot/Manifest
index d8bfd2a..a27c277 100644
--- a/sci-visualization/gnuplot/Manifest
+++ b/sci-visualization/gnuplot/Manifest
@@ -1,3 +1,4 @@
 DIST gnuplot-4.6.5.tar.gz 5035657 SHA256 e550f030c7d04570e89c3d4e3f6e82296816508419c86ab46c4dd73156519a2d SHA512 5a9c55d664105242aaf6356e707094a7dd5a80ba8d836bc7b3ce8836bcf5d2a57174d38220ea9efc58fa04f3c5f7d680ca5023482cff1a62b93549ff0530c47d WHIRLPOOL 9b3bc60668af708359c66f01d3780ee1547a03d8842af7010505c98ec3f870df846d167f557157e2ec6f85bf55cc03be02dc3514f533a3adaf9edc7fca61037b
 DIST gnuplot-5.0.1.tar.gz 4963747 SHA256 7cbc557e71df581ea520123fb439dea5f073adcc9010a2885dc80d4ed28b3c47 SHA512 f68ccef8ecad0d5f7c2eb5dc2c97ba14abba6e3324c36bb9ede5f87eef613942376a26e42e55fa8e9c908e2b732aa0b9f34d6d5c386e3d5cf9685bbca60fa094 WHIRLPOOL 7c1d7ec4e999d5d78fadc67cee1186988dbb1cd53feef19094554aa215a19ee6b136d7b65e692cba42bfdb19a06f036fc3fbe1b78cb55f9d0f1b8a740341d15c
+DIST gnuplot-5.0.3.tar.gz 5042644 SHA256 5f6ee35f3f22014058e999911934bfa9db28e02a2722a7001c192cd182b8c715 SHA512 e5ce44ea1071d388fac96aeb4f675a4625b3ac1858d7a78adedb40d95d99d67b2afdcca0aeb056c5e438edd288b8c65a3def2d18cc7c76fcf64eaa3cd77de9ca WHIRLPOOL 115688f506603ce33b5b1002a28c659c67be8ca51c6f92d185c5bd2000f34135ef75d3fa5467f807604bee2c91fb0034b27d0e51a143e8759d98645c250eb92e
 DIST gnuplot.info-4.6.2.tar.xz 182168 SHA256 73307153e8f525cce04d8c2c09ef28e422f21cd216d019f7aef8dbe71b6cc1bd SHA512 805e11933addefde41a15287e96bff9f4e307bbffbabe4bf1a9c49663a688702d9e738750d4ca6db475c9c09c0b6a14589b7e18392161610709e8864c626d4ff WHIRLPOOL bc16e1b6a798e214516aba413b3843045b0489038943dec6511722fed1eba772ba1067a8cdcada216afa903de5744c0722fa9f856a74d8f8e68fa27016704e53

diff --git a/sci-visualization/gnuplot/gnuplot-5.0.3.ebuild b/sci-visualization/gnuplot/gnuplot-5.0.3.ebuild
new file mode 100644
index 0000000..7350554
--- /dev/null
+++ b/sci-visualization/gnuplot/gnuplot-5.0.3.ebuild
@@ -0,0 +1,209 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils flag-o-matic multilib readme.gentoo toolchain-funcs wxwidgets
+
+DESCRIPTION="Command-line driven interactive plotting program"
+HOMEPAGE="http://www.gnuplot.info/"
+
+if [[ -z ${PV%%*9999} ]]; then
+	inherit autotools cvs
+	ECVS_SERVER="gnuplot.cvs.sourceforge.net:/cvsroot/gnuplot"
+	ECVS_MODULE="gnuplot"
+	ECVS_BRANCH="branch-5-0-stable"
+	ECVS_USER="anonymous"
+	ECVS_CVS_OPTIONS="-dP"
+	MY_P="${PN}"
+	SRC_URI=""
+	KEYWORDS=""
+else
+	MY_P="${P/_/.}"
+	SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+	inherit autotools
+fi
+
+LICENSE="gnuplot bitmap? ( free-noncomm )"
+SLOT="0"
+IUSE="aqua bitmap cairo compat doc examples +gd ggi latex libcaca libcerf lua qt4 readline svga wxwidgets X"
+
+RDEPEND="
+	cairo? (
+		x11-libs/cairo
+		x11-libs/pango )
+	gd? ( >=media-libs/gd-2.0.35-r3:2=[png] )
+	ggi? ( media-libs/libggi )
+	latex? (
+		virtual/latex-base
+		lua? (
+			dev-tex/pgf
+			>=dev-texlive/texlive-latexrecommended-2008-r2 ) )
+	libcaca? ( media-libs/libcaca )
+	lua? ( dev-lang/lua:0 )
+	qt4? ( >=dev-qt/qtcore-4.5:4
+		>=dev-qt/qtgui-4.5:4
+		>=dev-qt/qtsvg-4.5:4 )
+	readline? ( sys-libs/readline:0 )
+	libcerf? ( sci-libs/libcerf )
+	svga? ( media-libs/svgalib )
+	wxwidgets? (
+		x11-libs/wxGTK:3.0[X]
+		x11-libs/cairo
+		x11-libs/pango
+		x11-libs/gtk+:2 )
+	X? ( x11-libs/libXaw )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	doc? (
+		virtual/latex-base
+		dev-texlive/texlive-latexextra
+		app-text/ghostscript-gpl )"
+
+S="${WORKDIR}/${MY_P}"
+
+GP_VERSION="${PV%.*}"
+E_SITEFILE="lisp/50${PN}-gentoo.el"
+TEXMF="${EPREFIX}/usr/share/texmf-site"
+
+src_prepare() {
+	# Fix underlinking
+	epatch "${FILESDIR}"/${PN}-5.0.1-fix-underlinking.patch
+
+	if [[ -z ${PV%%*9999} ]]; then
+		local dir
+		for dir in config demo m4 term tutorial; do
+			emake -C "$dir" -f Makefile.am.in Makefile.am
+		done
+		#eautoreconf
+	fi
+
+	# Add special version identification as required by provision 2
+	# of the gnuplot license
+	sed -i -e "1s/.*/& (Gentoo revision ${PR})/" PATCHLEVEL || die
+
+	# hacky workaround
+	# Please hack the buildsystem if you like
+	if use prefix && use qt4; then
+		append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+	fi
+
+	DOC_CONTENTS='Gnuplot no longer links against pdflib, see the ChangeLog
+		for details. You can use the "pdfcairo" terminal for PDF output.'
+	use cairo || DOC_CONTENTS+=' It is available with USE="cairo".'
+	use svga && DOC_CONTENTS+='\n\nIn order to enable ordinary users to use
+		SVGA console graphics, gnuplot needs to be set up as setuid root.
+		Please note that this is usually considered to be a security hazard.
+		As root, manually "chmod u+s /usr/bin/gnuplot".'
+	use gd && DOC_CONTENTS+='\n\nFor font support in png/jpeg/gif output,
+		you may have to set the GDFONTPATH and GNUPLOT_DEFAULT_GDFONT
+		environment variables. See the FAQ file in /usr/share/doc/${PF}/
+		for more information.'
+
+	mv configure.in configure.ac || die
+	eautoreconf
+
+	# Make sure we don't mix build & host flags.
+	sed -i \
+		-e 's:@CPPFLAGS@:$(BUILD_CPPFLAGS):' \
+		-e 's:@CFLAGS@:$(BUILD_CFLAGS):' \
+		-e 's:@LDFLAGS@:$(BUILD_LDFLAGS):' \
+		-e 's:@CC@:$(CC_FOR_BUILD):' \
+		docs/Makefile.in || die
+}
+
+src_configure() {
+	if ! use latex; then
+		sed -i -e '/SUBDIRS/s/LaTeX//' share/Makefile.in || die
+	fi
+
+	if use wxwidgets; then
+		WX_GTK_VER="3.0"
+		need-wxwidgets unicode
+	fi
+
+	tc-export CC CXX			#453174
+	tc-export_build_env BUILD_CC
+	export CC_FOR_BUILD=${BUILD_CC}
+
+	econf \
+		--without-pdf \
+		--with-texdir="${TEXMF}/tex/latex/${PN}" \
+		--with-readline=$(usex readline gnu builtin) \
+		$(use_with bitmap bitmap-terminals) \
+		$(use_with cairo) \
+		$(use_enable compat backwards-compatibility) \
+		$(use_with doc tutorial) \
+		$(use_with gd) \
+		"$(use_with ggi ggi "${EPREFIX}/usr/$(get_libdir)")" \
+		"$(use_with ggi xmi "${EPREFIX}/usr/$(get_libdir)")" \
+		"$(use_with libcaca caca "${EPREFIX}/usr/$(get_libdir)")" \
+		$(use_with libcerf) \
+		$(use_with lua) \
+		$(use_with svga linux-vga) \
+		$(use_with X x) \
+		--enable-stats \
+		$(use_with qt4 qt qt4) \
+		$(use_enable wxwidgets) \
+		DIST_CONTACT="https://bugs.gentoo.org/" \
+		EMACS=no
+}
+
+src_compile() {
+	# Prevent access violations, see bug 201871
+	export VARTEXFONTS="${T}/fonts"
+
+	# We believe that the following line is no longer needed.
+	# In case of problems file a bug report at bugs.gentoo.org.
+	#addwrite /dev/svga:/dev/mouse:/dev/tts/0
+
+	emake all
+
+	if use doc; then
+		# Avoid sandbox violation in epstopdf/ghostscript
+		addpredict /var/cache/fontconfig
+		emake -C docs gnuplot.pdf
+		emake -C tutorial pdf
+	fi
+}
+
+src_install () {
+	emake DESTDIR="${D}" install
+
+	dodoc BUGS ChangeLog NEWS PGPKEYS PORTING README*
+	newdoc term/PostScript/README README-ps
+	newdoc term/js/README README-js
+	use lua && newdoc term/lua/README README-lua
+	readme.gentoo_create_doc
+
+	if use examples; then
+		# Demo files
+		insinto /usr/share/${PN}/${GP_VERSION}
+		doins -r demo
+		rm -f "${ED}"/usr/share/${PN}/${GP_VERSION}/demo/Makefile*
+		rm -f "${ED}"/usr/share/${PN}/${GP_VERSION}/demo/binary*
+	fi
+
+	if use doc; then
+		# Manual, tutorial, FAQ
+		dodoc docs/gnuplot.pdf tutorial/{tutorial.dvi,tutorial.pdf} FAQ.pdf
+		# Documentation for making PostScript files
+		docinto psdoc
+		dodoc docs/psdoc/{*.doc,*.tex,*.ps,*.gpi,README}
+	fi
+}
+
+src_test() {
+	GNUTERM="unknown" default_src_test
+}
+
+pkg_postinst() {
+	use latex && texmf-update
+	readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+	use latex && texmf-update
+}


             reply	other threads:[~2016-03-07 16:11 UTC|newest]

Thread overview: 199+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-07 16:11 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-28 18:23 [gentoo-commits] repo/gentoo:master commit in: sci-visualization/gnuplot/ Ulrich Müller
2024-08-03  9:57 Ulrich Müller
2024-03-09 20:04 Ulrich Müller
2024-02-22 20:33 Arthur Zamarin
2024-02-22 20:33 Arthur Zamarin
2024-02-08  9:43 Sam James
2024-02-08  8:28 Sam James
2024-02-08  8:28 Sam James
2024-02-08  8:28 Sam James
2024-02-08  8:21 Jakov Smolić
2024-01-13 12:05 Ulrich Müller
2023-11-24 14:31 Pacho Ramos
2023-11-16 20:14 Ulrich Müller
2023-10-09  4:57 Sam James
2023-10-09  4:21 Sam James
2023-10-09  3:51 Sam James
2023-10-09  3:40 Ulrich Müller
2023-10-09  3:40 Ulrich Müller
2023-08-12 15:50 Ulrich Müller
2023-05-29 16:56 Ulrich Müller
2023-05-29 16:56 Ulrich Müller
2023-05-19  9:15 Pacho Ramos
2023-04-23 10:39 Ulrich Müller
2023-03-26 17:42 Ulrich Müller
2023-03-26 17:42 Ulrich Müller
2022-12-02  1:06 Sam James
2022-12-02  1:06 Sam James
2022-12-02  0:46 Sam James
2022-12-02  0:46 Sam James
2022-12-02  0:46 Sam James
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-12-01 20:59 Ulrich Müller
2022-11-29 18:06 WANG Xuerui
2022-07-28 17:37 Ulrich Müller
2022-03-26 18:46 Arthur Zamarin
2022-03-24  8:38 Agostino Sarubbo
2022-03-24  8:36 Agostino Sarubbo
2022-03-23  9:58 Jakov Smolić
2022-03-22 18:44 Jakov Smolić
2022-03-22 18:44 Jakov Smolić
2022-03-22 16:40 Sam James
2022-03-22 12:20 Ulrich Müller
2022-03-22 12:15 Ulrich Müller
2022-01-22 10:58 Ulrich Müller
2021-10-24 19:45 Sam James
2021-10-24 19:40 Sam James
2021-10-11 23:36 Sam James
2021-10-09 19:18 Sam James
2021-10-08 18:48 Agostino Sarubbo
2021-10-08  5:02 Sam James
2021-10-07  6:03 Agostino Sarubbo
2021-09-07  6:45 Ulrich Müller
2021-09-07  3:02 Sam James
2021-08-09  1:18 Sam James
2021-08-09  1:18 Sam James
2021-08-08 18:22 Ulrich Müller
2021-08-08 18:22 Ulrich Müller
2021-08-07 16:03 Ulrich Müller
2021-08-06 12:16 Sam James
2021-08-05 14:08 Sam James
2021-08-05  1:32 Sam James
2021-08-04 18:42 Agostino Sarubbo
2021-08-04  7:42 Ulrich Müller
2021-08-03 19:54 Ulrich Müller
2021-08-03  6:08 Ulrich Müller
2021-08-01 18:27 Sam James
2021-04-07 15:58 Ulrich Müller
2021-04-07 13:14 David Seifert
2021-03-31 10:56 Ulrich Müller
2021-01-24  3:52 Sam James
2021-01-23 22:51 Sam James
2021-01-23 22:51 Sam James
2021-01-23 22:42 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2021-01-20 10:16 David Seifert
2021-01-06 15:20 Fabian Groffen
2020-12-27 18:09 Fabian Groffen
2020-12-21  9:41 Sergei Trofimovich
2020-12-20 16:40 Thomas Deutschmann
2020-12-18 10:25 Sergei Trofimovich
2020-12-17 12:48 Sam James
2020-12-17  8:02 Sam James
2020-12-17  0:48 Sam James
2020-12-16 15:17 Sam James
2020-12-16 10:18 Ulrich Müller
2020-12-16  9:03 Ulrich Müller
2020-11-30 18:22 Ulrich Müller
2020-11-06 15:47 Ulrich Müller
2020-11-06 14:18 Ulrich Müller
2020-11-06 13:26 Ulrich Müller
2020-11-06 12:57 Ulrich Müller
2020-11-04 20:46 Ulrich Müller
2020-11-04 20:46 Ulrich Müller
2020-11-04 20:46 Ulrich Müller
2020-06-28 20:44 Agostino Sarubbo
2020-06-28 20:37 Agostino Sarubbo
2020-06-28 20:33 Agostino Sarubbo
2020-06-28 20:30 Agostino Sarubbo
2020-06-28 16:48 Christoph Junghans
2020-06-27  9:09 Sergei Trofimovich
2020-06-26 17:43 Agostino Sarubbo
2020-04-10 19:04 Ulrich Müller
2020-04-10 19:04 Ulrich Müller
2020-04-10 19:04 Ulrich Müller
2020-04-10 19:04 Ulrich Müller
2019-12-01 18:54 Ulrich Müller
2019-11-22  9:59 Mikle Kolyada
2019-11-14 11:55 Agostino Sarubbo
2019-11-12 15:08 Agostino Sarubbo
2019-11-10 18:20 Aaron Bauman
2019-11-05  9:39 Agostino Sarubbo
2019-11-05  9:27 Agostino Sarubbo
2019-10-11 15:37 Michał Górny
2019-07-28 20:30 Ulrich Müller
2019-07-28 19:59 Mikle Kolyada
2019-07-23 20:03 Aaron Bauman
2019-07-19 11:33 Agostino Sarubbo
2019-07-18 11:43 Agostino Sarubbo
2019-07-18 11:31 Agostino Sarubbo
2019-07-17 15:24 Agostino Sarubbo
2019-07-16  9:08 Ulrich Müller
2019-07-14  9:11 Sergei Trofimovich
2019-07-12 13:33 Agostino Sarubbo
2019-07-12 10:18 Ulrich Müller
2019-07-12 10:18 Ulrich Müller
2019-05-20 17:22 Aaron Bauman
2019-04-02 12:18 Mikle Kolyada
2019-04-01 19:58 Thomas Deutschmann
2019-03-24 12:43 Ulrich Müller
2019-03-24 12:43 Ulrich Müller
2019-03-20 11:23 Mikle Kolyada
2019-03-17 23:02 Sergei Trofimovich
2019-03-16 22:55 Sergei Trofimovich
2019-03-15 22:40 Mikle Kolyada
2018-10-26 19:05 Ulrich Müller
2018-10-26 19:05 Ulrich Müller
2018-08-30 16:36 Ulrich Müller
2018-08-29 21:21 Ulrich Müller
2018-08-29 21:21 Ulrich Müller
2018-08-29 21:21 Ulrich Müller
2018-08-29 21:21 Ulrich Müller
2018-05-31 22:05 Mikle Kolyada
2018-05-29 20:05 Markus Meier
2018-05-14 19:21 Tobias Klausmann
2018-05-09 21:46 Sergei Trofimovich
2018-05-08 19:36 Andreas Sturmlechner
2018-05-07 23:55 Thomas Deutschmann
2018-05-07 22:16 Mikle Kolyada
2018-05-07 20:39 Ulrich Müller
2018-05-06 18:52 Matt Turner
2018-04-18 20:41 Sergei Trofimovich
2018-04-16 21:34 Mikle Kolyada
2018-04-01 10:00 Tobias Klausmann
2018-03-17 10:09 Mikle Kolyada
2018-03-15 22:59 Sergei Trofimovich
2018-01-22 18:24 Markus Meier
2017-12-16 13:38 Ulrich Müller
2017-12-16 13:35 Ulrich Müller
2017-12-15  9:23 Jason Zaman
2017-11-23 11:54 Tobias Klausmann
2017-11-20 23:11 Sergei Trofimovich
2017-11-19 19:31 Sergei Trofimovich
2017-11-19 19:23 Sergei Trofimovich
2017-11-19 18:35 Sergei Trofimovich
2017-11-19 14:35 Ulrich Müller
2017-11-19 14:35 Ulrich Müller
2017-11-19 14:35 Ulrich Müller
2017-11-19 14:35 Ulrich Müller
2017-11-19 12:43 Ulrich Müller
2017-11-19 12:32 Ulrich Müller
2017-11-19 11:51 Ulrich Müller
2017-11-19 11:46 Ulrich Müller
2017-11-19 11:46 Ulrich Müller
2017-07-10 22:50 Christoph Junghans
2017-06-21  9:44 Alexis Ballier
2017-01-15  8:50 Ulrich Müller
2017-01-14 23:04 Christoph Junghans
2017-01-14 23:04 Christoph Junghans
2017-01-14 23:04 Christoph Junghans
2016-11-25 18:57 Pacho Ramos
2016-11-14  2:01 Christoph Junghans
2016-10-21 22:36 Andreas Hüttel
2016-10-21  6:39 Ulrich Müller
2016-10-21  6:39 Ulrich Müller
2016-09-14 17:16 Christoph Junghans
2016-09-11 10:00 Jeroen Roovers
2016-06-14 12:09 Tobias Klausmann
2016-06-12 19:50 Markus Meier
2016-06-10 19:12 Andreas Hüttel
2016-06-10 16:09 Andreas Hüttel
2016-03-17 11:56 Agostino Sarubbo
2016-01-29 22:53 Mike Frysinger
2015-12-23 14:53 Ulrich Müller
2015-12-23  0:00 Ulrich Müller
2015-12-18 13:53 Ulrich Müller
2015-12-18 13:53 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1457367068.ce9db67160a1de82244c6dc078b90320672491a7.ottxor@gentoo \
    --to=ottxor@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox